## Bsoft program

# bmatrix

### Usage: bmatrix [options] matrix_in.dat matrix_out.dat

Processes matrices.

### Actions:

-random 4,7 | Create a random matrix of the given size (rows & columns).
-negate | Change the sign of the matrix.
-invert | Invert by LU decomposition.
-svd | Invert by singular value decomposition.
-window 5 | Window over which to do permutations for linear sorting.
-preference -10 | Homogenous preference for clustering.

### Parameters:

-verbose 7 | Verbosity of output.
-ln_1_R | Use the -ln(1-R) conversion of the input matrix.
-lambda 0.6 | Damping factor for clustering (default 0.5).

### Input:

-vector file.dat | Input a vector to multiply with the matrix.

### Output:

-outvector file.dat | Output the vector.
-outimage file.img | Output the matrix as an image.

Bsoft version 2.0.3-20180917 (64 bit)